<template>
  <v-container>
    <h1 class="text-center">Welcome</h1>
    <v-carousel>
      <v-carousel-item
          v-for="post in articles"
          :key="post.id"
          :src="post.full_image"

          :to="'/articles/' + post.id"
      >
        <v-sheet
            color="transparent"
            height="100%"
            tile
        >
          <v-row
              class="fill-height"
              align="center"
              justify="center"
          >
            <v-overlay class="px-16 text-center" absolute>
              <p>{{post.date}}</p>
              <p class="text-h2">{{post.name}}</p>
              <p>{{post.shortDesc}}</p>
              <router-link class="white--text" :to="'/articles/' + post.id">Learn more</router-link>
            </v-overlay>
          </v-row>
        </v-sheet>
      </v-carousel-item>
    </v-carousel>
  </v-container>
</template>

<script>
  export default {
    name: 'Home',
    data () {
      return {
        loading: false,
        error: null
      }
    },
    created () {
      this.fetchData()
    },
    watch: {
      '$route': 'fetchData'
    },
    methods: {
      fetchData () {
        this.error = this.posts = null
        this.loading = true
        this.$store.dispatch('getArticles')
            .then(() => {
              this.loading = false
            })
            .catch(err => this.error = err.toString())
      }
    },
    computed: {
      articles () {
        return this.$store.getters.sliderArticles
      },
    }
  }
</script>
